Subject: bug#59293: 28.1.90; Erroneous footnote link in Org info manual

From: Eli Zaretskii <[email-masked]>
Date: Wed, 16 Nov 2022 14:42:42 +0200

> From: Ihor Radchenko <[email-masked]>
> Date: Wed, 16 Nov 2022 01:22:28 +0000
> 
> In 16.5 Evaluating Code Blocks section of Org info manual, there is an
> example code block
> 
>     #+NAME: random
>     #+BEGIN_SRC R :cache yes
>       runif(1)
>     #+END_SRC
> 
> This code block is represented like the following in the texinfo Org
> manual source:
> 
>    @example
>    #+NAME: random
>    #+BEGIN_SRC R :cache yes
>      runif(1)
>    #+END_SRC
> 
>    ...
>    @end example
> 
> Note the (1). It is unexpectedly shown as a footnote reference and one
> can click on (1). This only happens in the info manual. Not in html.
> 
> I have checked
> https://www.gnu.org/software/texinfo/manual/texinfo/html_node/_0040example.html
> 
> and I do not see anything wrong in the above texinfo source.
> 
> I am also not an expert in texinfo.
> 
> Could someone more experienced with texinfo check if the observed is
> something to be fixed on Org side, on Texinfo side, or maybe on
> Info-mode side?

It's a bug in info.el: it fontifies the footnote references, but the
detection of footnote cannot distinguish between "(1)" that is a
reference to a footnote and "(1)" that just stands for itself.

My suggestion is to modify the example in the manual to avoid the
false match, for example use "runif(3)" if possible.  Alternatively,
remove the real footnotes and make them notes in parentheses.  Or
just live with the problem...